Gtk2::GC(3)

NAME
Gtk2::GC

DESCRIPTION
These functions provide access to a shared pool of Gtk2::Gdk::GC objects. When a new Gtk2::Gdk::GC is needed, Gtk2::Gdk::GC::get is called with the required depth, colormap and Gtk2::Gdk::GCValues. If a Gtk2::Gdk::GC with the required properties already exists then that is returned. If not, a new Gtk2::Gdk::GC is created. When the Gtk2::Gdk::GC is no longer needed, Gtk2::Gdk::GC::release should be called.

[From: <http://developer.gnome.org/doc/API/2.0/gtk/gtk-Graphics-Contexts.html>]

METHODS

  gc = Gtk2::GC->get ($depth, $colormap, $values)

    * $depth (integer)
    * $colormap (Gtk2::Gdk::Colormap)
    * $values (scalar)

  Gtk2::GC->release ($gc)

    * $gc (Gtk2::Gdk::GC)

SEE ALSO
Gtk2

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.